WSLSYS(1)

NAME
wslsys - Component of WSL Utilities

SYNOSIS
wslsys [-VIbBFUWRKPSltT] [-s]

wslsys [-hv] [-n NAME]

DESCRIPTION
This is a WSL system information printer to print out some basic system information.

OPTIONS

Executing command without options will print out the all system information. add -s flag to print only value:

-h, --help
    Print a simple help.

-v, --version
    Print current version.

-n NAME
    Print the system information of NAME.

-V, --wsl-version
    Print the the WSL version your current distribution is using. For example, "1" for using WSL 1st generation.

-I, --sys-installdate
    Print the time when the current release is installed. The format is in Hex Unix Timestamp. For example, "0x5df84068".

-b, --branch
    Print current release branch of your Windows 10. For example, "rs_prerelease" means you are on rs_prerelease release branch.

-B, --build
    Print current build version of your Windows 10. For example, "19536" means you are using Winows 10 build 19536.

-F, --full-build
    Print current build version of your Windows 10 in long form. For example, "19536.1000.amd64fre.rs_prerelease.191211-1446".

-U, --uptime
    Print current uptime inside WSL. For example, "0d 0h 2m".

-W, --win-uptime
    Print current uptime in Windows 10. For example, "0d 12h 8m".

-R, --release
    Print the current release for your WSL distro. For example, "Ubuntu 18.04.3 LTS".

-K, --kernel
    Print the current version of the WSL kernel. For example, "Linux 4.19.81-microsoft-standard".

-P, --package
    Print total number of installed packages. For example, "1047" for 1047 packages installed.

-i, --ip
    Print the current IPv4 address for your WSL distro. For example, "127.37.41.23".

-S, --display-scaling
    Print the current display scaling from your display setting. For example, "2" for 200% scaling.

-l, --locale
    Print the Windows locale information. For example, "en-US" for English (United States).

-t, --win-theme
    Print the Windows Theme. For example, "light".

-T, --win-system-type
    Print whether the system is running in Windows Desktop, Windows Server, or Windows Domain Controller. For example, "Server".

-d, --systemd-status
    Print the status of systemd in WSL.

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslu(7)